<?php
/*ini_set('display_errors', 1);
ini_set('display_startup_errors', 1);
error_reporting(E_ALL);*/
session_start();
include_once("../config/ConfiguracionBD.php");
include_once("../resources/php/FuncionesComunes.php");
include_once("../models/Encuesta242.php");
include_once("../models/Encuesta.php");
class Encuesta242Controller
{
    public $Encuesta242;
    public $Encuesta;

    function __construct()
    {
        try
        {
            $this->Encuesta242 = new Encuesta242();
            $this->Encuesta = new Encuesta();
        }
        catch (Exception $e)
        {
            throw  $e;
        }
    }

    function realizarEncuesta242($userId,$nombreAlumno)
    {
        try
        {

            $this->Encuesta242->userId = $userId;
            $this->Encuesta242->nombreAlumno = $nombreAlumno;
            $this->Encuesta242->consultarEncuestas242();
            if($this->Encuesta242->encuesta242Id>0)
            {
                $nombreAlumno = $this->Encuesta242->nombreAlumno;
                $userId = $this->Encuesta242->nombreAlumno->userId;
                switch ($this->Encuesta242->seccionEncuesta)
                {
                    case "seccion1":
                        $resultadoPreguntasSec1 = $this->Encuesta->consultarPreguntasEncuestas(1,1);
                        break;
                    case "seccion2":
                        $resultadoPreguntasSec2 = $this->Encuesta->consultarPreguntasEncuestas(1,2);
                        break;
                }
            }
            $rowEncuesta = $this->Encuesta->consultarEncuestas(1);
            include_once ("../views/encuesta242.php");
        }
        catch (Exception $e)
        {
            throw  $e;
        }
    }

    function registrarInstruccionesEncuesta242($userId,$nombreAlumno)
    {
        try
        {
            $this->Encuesta242->userId = $userId;
            $this->Encuesta242->nombreAlumno = $nombreAlumno;
            if($this->Encuesta242->registrarInstruccionesEncuesta242()>0)
                $arrayRespuesta = array('type'=>'success','msg'=>$nombreAlumno.': Encuesta registrada con éxito','opc'=>FuncionesComunes::encrypt("realizarEncuesta242"),'userId'=>$_REQUEST["userId"],'nombreAlumno'=>$_REQUEST["nombreAlumno"]);
            else
                $arrayRespuesta = array('type'=>'error','msg'=>$nombreAlumno.': Encuesta NO registrada con éxito');
            echo json_encode($arrayRespuesta);
        }
        catch (Exception $e)
        {
            throw  $e;
        }
    }

    function registrarSeccion1Encuesta242($userId,$pregunta1,$pregunta2,$pregunta3,$pregunta4,$pregunta5,$pregunta6,$pregunta7,$pregunta8,$pregunta9,$pregunta10)
    {
        try
        {
            $this->Encuesta242->userId = $userId;
            $this->Encuesta242->consultarEncuestas242();
            if($this->Encuesta242->encuesta242Id>0)
            {
                $this->Encuesta242->pregunta1 = $pregunta1;
                $this->Encuesta242->pregunta2 = $pregunta2;
                $this->Encuesta242->pregunta3 = $pregunta3;
                $this->Encuesta242->pregunta4 = $pregunta4;
                $this->Encuesta242->pregunta5 = $pregunta5;
                $this->Encuesta242->pregunta6 = $pregunta6;
                $this->Encuesta242->pregunta7 = $pregunta7;
                $this->Encuesta242->pregunta8 = $pregunta8;
                $this->Encuesta242->pregunta9 = $pregunta9;
                $this->Encuesta242->pregunta10 = $pregunta10;
                if($this->Encuesta242->registrarSeccion1Encuesta242()>0)
                    $arrayRespuesta = array('type'=>'success','msg'=>$this->Encuesta242->nombreAlumno.': Encuesta registrada con éxito','opc'=>FuncionesComunes::encrypt("realizarEncuesta242"),'userId'=>$_REQUEST["userId"],'nombreAlumno'=>$_REQUEST["nombreAlumno"]);
                else
                    $arrayRespuesta = array('type'=>'error','msg'=>$this->Encuesta242->nombreAlumno.': Encuesta NO registrada con éxito');
            }
            else
                $arrayRespuesta = array('type'=>'error1','msg'=> 'No se encontro la encuesta.');
            echo json_encode($arrayRespuesta);
        }
        catch (Exception $e)
        {
            throw  $e;
        }
    }

    function registrarSeccion2Encuesta242($userId,$pregunta11,$pregunta12,$pregunta13,$pregunta14,$pregunta15,$pregunta16,$pregunta17,$pregunta18,$pregunta19,$pregunta20)
    {
        try
        {
            $this->Encuesta242->userId = $userId;
            $this->Encuesta242->consultarEncuestas242();
            if($this->Encuesta242->encuesta242Id>0)
            {
                $this->Encuesta242->pregunta11 = $pregunta11;
                $this->Encuesta242->pregunta12 = $pregunta12;
                $this->Encuesta242->pregunta13 = $pregunta13;
                $this->Encuesta242->pregunta14 = $pregunta14;
                $this->Encuesta242->pregunta15 = $pregunta15;
                $this->Encuesta242->pregunta16 = $pregunta16;
                $this->Encuesta242->pregunta17 = $pregunta17;
                $this->Encuesta242->pregunta18 = $pregunta18;
                $this->Encuesta242->pregunta19 = $pregunta19;
                $this->Encuesta242->pregunta20 = $pregunta20;
                if($this->Encuesta242->registrarSeccion2Encuesta242()>0)
                    $arrayRespuesta = array('type'=>'success','msg'=>$this->Encuesta242->nombreAlumno.': Encuesta registrada con éxito','opc'=>FuncionesComunes::encrypt("realizarEncuesta242"),'userId'=>$_REQUEST["userId"],'nombreAlumno'=>$_REQUEST["nombreAlumno"]);
                else
                    $arrayRespuesta = array('type'=>'error','msg'=>$this->Encuesta242->nombreAlumno.': Encuesta NO registrada con éxito');
            }
            else
                $arrayRespuesta = array('type'=>'error1','msg'=> 'No se encontro la encuesta.');
            echo json_encode($arrayRespuesta);
        }
        catch (Exception $e)
        {
            throw  $e;
        }
    }

    function cancelarEncuesta242($userId)
    {
        try
        {
            $this->Encuesta242->userId = $userId;
            $this->Encuesta242->consultarEncuestas242();
            if($this->Encuesta242->encuesta242Id>0)
            {
                if($this->Encuesta242->cancelarEncuesta242()>0)
                    $arrayRespuesta = array('type'=>'success','msg'=>$this->Encuesta242->nombreAlumno.': Reintentar el ejercicio con éxito','opc'=>FuncionesComunes::encrypt("realizarEncuesta242"),'nombreAlumno'=>FuncionesComunes::encrypt($this->Encuesta242->nombreAlumno),'userId'=>$_REQUEST["userId"]);
                else
                    $arrayRespuesta = array('type'=>'error','msg'=>$this->Encuesta242->nombreAlumno.': No Reintentar el ejercicio con éxito');
            }
            else
                $arrayRespuesta = array('type'=>'error1','msg'=> 'No se encontro el ejercicio.');
            echo json_encode($arrayRespuesta);
        }
        catch (Exception $e)
        {
            throw  $e;
        }
    }

}

if($_REQUEST["opc"] != "" && $_REQUEST["userId"]!="" && $_REQUEST["nombreAlumno"]!="")
{
    $opcionRegistro = FuncionesComunes::decrypt($_REQUEST["opc"]);
    switch ($opcionRegistro)
    {
        case "realizarEncuesta242":
            $userId = FuncionesComunes::decrypt( $_REQUEST["userId"]);
            $nombreAlumno = FuncionesComunes::decrypt($_REQUEST["nombreAlumno"]);
            $Encuesta242Controller = new Encuesta242Controller();
            $Encuesta242Controller->realizarEncuesta242($userId,$nombreAlumno);
            break;
        case "registrarInstruccionesEncuesta242":
            $Encuesta242Controller = new Encuesta242Controller();
            $userId = FuncionesComunes::decrypt($_REQUEST["userId"]);
            $nombreAlumno = FuncionesComunes::decrypt($_REQUEST["nombreAlumno"]);
            $Encuesta242Controller->registrarInstruccionesEncuesta242($userId,$nombreAlumno);
            break;
        case "registrarSeccion1Encuesta242":
            $Encuesta242Controller = new Encuesta242Controller();
            $userId = FuncionesComunes::decrypt($_REQUEST["userId"]);
            $nombreAlumno = FuncionesComunes::decrypt($_REQUEST["nombreAlumno"]);
            $Encuesta242Controller->registrarSeccion1Encuesta242($userId,$_POST["pregunta1"],$_POST["pregunta2"],$_POST["pregunta3"],$_POST["pregunta4"],$_POST["pregunta5"],$_POST["pregunta6"],$_POST["pregunta7"],$_POST["pregunta8"],$_POST["pregunta9"],$_POST["pregunta10"]);
            break;
        case "registrarSeccion2Encuesta242":
            $Encuesta242Controller = new Encuesta242Controller();
            $userId = FuncionesComunes::decrypt($_REQUEST["userId"]);
            $nombreAlumno = FuncionesComunes::decrypt($_REQUEST["nombreAlumno"]);
            $Encuesta242Controller->registrarSeccion2Encuesta242($userId,$_POST["pregunta11"],$_POST["pregunta12"],$_POST["pregunta13"],$_POST["pregunta14"],$_POST["pregunta15"],$_POST["pregunta16"],$_POST["pregunta17"],$_POST["pregunta18"],$_POST["pregunta19"],$_POST["pregunta20"]);
            break;
        case "cancelarEncuesta242":
            $Encuesta242Controller = new Encuesta242Controller();
            $userId = FuncionesComunes::decrypt($_REQUEST["userId"]);
            $nombreAlumno = FuncionesComunes::decrypt($_REQUEST["nombreAlumno"]);
            $Encuesta242Controller->cancelarEncuesta242($userId);
            break;
    }
}